package cn.com.poc.common.segmentation.domain;

import java.util.List;

public class SegmentationConfig {

    /**
     * 大分片大小
     */
    private int chunkSize;

    /**
     * 小分片大小
     */
    private int scrapSize;

    /**
     * 分片重复率
     */
    private int repetitionRate;

    /**
     * 关联信息
     */
    private List<String> relationInfo;


    /**
     * 自定义正则
     */
    private String regex;

    /**
     * 标点符号
     */
    private List<String> punctuations;

    public List<String> getPunctuations() {
        return punctuations;
    }

    public void setPunctuations(List<String> punctuations) {
        this.punctuations = punctuations;
    }

    public String getRegex() {
        return regex;
    }

    public void setRegex(String regex) {
        this.regex = regex;
    }

    public int getChunkSize() {
        return chunkSize;
    }

    public void setChunkSize(int chunkSize) {
        this.chunkSize = chunkSize;
    }

    public int getScrapSize() {
        return scrapSize;
    }

    public void setScrapSize(int scrapSize) {
        this.scrapSize = scrapSize;
    }

    public int getRepetitionRate() {
        return repetitionRate;
    }

    public void setRepetitionRate(int repetitionRate) {
        this.repetitionRate = repetitionRate;
    }

    public List<String> getRelationInfo() {
        return relationInfo;
    }

    public void setRelationInfo(List<String> relationInfo) {
        this.relationInfo = relationInfo;
    }

}
